package io.nexilis.service.data.entities

import androidx.room.Entity
import androidx.room.Index

@Entity(
    primaryKeys = ["id"],
    indices = [
        Index(value = ["link"], unique = true)
    ]
)
data class LinkPreview(
    val id: String,
    val link: String,
    val data_link: String,
    val retry: Int = 0
) : MainEntity